# Uses of Interface
org.globus.ftp.dc.DataChannelFactory

Packages that use DataChannelFactory
Package
Description
org.globus.ftp.dc
org.globus.ftp.vanilla

## Uses of DataChannelFactory in org.globus.ftp.dc

Classes in org.globus.ftp.dc that implement DataChannelFactory
Modifier and Type
Class
Description
`class`
`GridFTPDataChannelFactory`
`class`
`SimpleDataChannelFactory`
Fields in org.globus.ftp.dc declared as DataChannelFactory
Modifier and Type
Field
Description
`protected DataChannelFactory`
TransferThreadManager.`dataChannelFactory`
`protected DataChannelFactory`
ActiveConnectTask.`factory`
`protected DataChannelFactory`
PassiveConnectTask.`factory`
Constructors in org.globus.ftp.dc with parameters of type DataChannelFactory
Modifier
Constructor
Description
``
`ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveConnectTask(HostPort hostPort, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSink sink, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSource source, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`PassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`PassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`

## Uses of DataChannelFactory in org.globus.ftp.vanilla

Fields in org.globus.ftp.vanilla declared as DataChannelFactory
Modifier and Type
Field
Description
`protected DataChannelFactory`
FTPServerFacade.`dataChannelFactory`